Bug 1745931 - adcli update --add-samba-data does not work as expected
Summary: adcli update --add-samba-data does not work as expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: adcli
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Sumit Bose
QA Contact: sssd-qe
URL:
Whiteboard: sync-to-jira
Depends On: 1665794 1738573
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-27 09:27 UTC by Sumit Bose
Modified: 2020-04-28 16:58 UTC (History)
9 users (show)

Fixed In Version: adcli-0.8.2-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1738573
Environment:
Last Closed: 2020-04-28 16:58:21 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1874 None None None 2020-04-28 16:58:29 UTC

Comment 2 shridhar 2020-01-24 11:29:22 UTC
verified with following data:

---------------------------------------------
previous version:

]# rpm -q adcli
adcli-0.8.2-3.el8.x86_64

]# man adcli |col -b| sed -n '/UPDATING THE MACHINE ACCOUNT PASSWORD AND OTHER ATTRIBUTES/,/TESTING IF THE MACHINE ACCOUNT PASSWORD IS VALID/p'|sed -n '/--add-samba-data/,/       --samba-data-tool/p'
       --add-samba-data
	   After a successful join add the domain SID and the machine account password to the Samba specific
	   databases by calling Samba's net utility.

	   Please note that Samba's net requires some settings in smb.conf to create the database entries
	   correctly. Most important here is currently the workgroup option, see smb.conf(5) for details.

       --samba-data-tool=/path/to/net
[root@ci-vm-10-0-138- tmp.jQicch9rqm]# 

-------------------------------------

Latest version:

]# rpm -q adcli
adcli-0.8.2-4.el8.x86_64
[root@ci-vm-10-0-138- tmp.CF2qH3lanV]# man adcli |col -b| sed -n '/UPDATING THE MACHINE ACCOUNT PASSWORD AND OTHER ATTRIBUTES/,/TESTING IF THE MACHINE ACCOUNT PASSWORD IS VALID/p'|sed -n '/--add-samba-data/,/       --samba-data-tool/p'
       --add-samba-data
	   After a successful join add the domain SID and the machine account password to the Samba specific
	   databases by calling Samba's net utility.

	   Please note that Samba's net requires some settings in smb.conf to create the database entries
	   correctly. Most important here is currently the workgroup option, see smb.conf(5) for details.

	   Note that if the machine account password is not older than 30 days, you have to pass
	   --computer-password-lifetime=0 to force the update.

       --samba-data-tool=/path/to/net
[root@ci-vm-10-0-138- tmp.CF2qH3lanV]# 
-------------------------------------------------------------------

Latest version contains updated line about machine account password lifetime.

Marking verified.

Comment 4 errata-xmlrpc 2020-04-28 16:58:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1874


Note You need to log in before you can comment on or make changes to this bug.